Subject: Re: [UNTESTED PATCH v2] 8xx: Convert mpc866ads to the new device binding.

From: Scott Wood <[email-masked]>
Date: Tue, 16 Oct 2007 12:55:20 -0500

Vitaly Bordug wrote:
> Hi Scott,
> 
> orig one does not build (not your issue apparently):
> 
>   CC      drivers/net/fs_enet/fs_enet-main.o
> drivers/net/fs_enet/fs_enet-main.c: In function `fs_enet_probe':
> drivers/net/fs_enet/fs_enet-main.c:1252: error: implicit declaration of 
> function `SET_MODULE_OWNER'
> drivers/net/fs_enet/fs_enet-main.c:1292: error: structure has no member 
> named `poll'
> drivers/net/fs_enet/fs_enet-main.c:1293: error: structure has no member 
> named `weight'
> make[3]: *** [drivers/net/fs_enet/fs_enet-main.o] Error 1
> make[2]: *** [drivers/net/fs_enet] Error 2
> make[1]: *** [drivers/net] Error 2
> make: *** [drivers] Error 2
> 
> because net_device does not have 'poll' and 'weight' anymore.
> 
> Moreover, with the patch, it does not seem to boot(with upper lines commented out to get it build). I'm investigating the reason right now.

Yeah, I was working on cleaning up the mess when I got this message. :-)

Removing the napi_enable call should make it boot.  I'm now trying to 
get in to work with napi enabled...

-Scott